Subject: [ETI Informal pdf 1AD.02.09.01] The True Meaning Of Hallelu YAH, By Jerry Healan
From: "ETIMin" <[email-masked]>
To: "Lists @ ETI Min" <[email-masked]>
Date: Mon, 2 Sep 2002 17:12:48 +0200

WHAT DOES IT MEANGreetings

This is a very useful message on the true meaning of Halleluyah

Please keep in mind that "Yah" is in actual fact the true Name of the Almighty and "Yahweh" means "Yah the eternally self existent".

Remember also that "Elohim" in some places should read "Yah" and in other places should read "Mighty One" or "mighty one".

Warm regards and blessings

Dr James Robertson
END TIME ISSUE MINISTRIES

[email-masked]
Tel: ++27-(0)11-791-2327
Cell ++27 (0)83-251-6644
Web Site: www.ETIMin.org

PostNet Suite 143, Private Bag X10030, Randburg, 2125, Republic of South Africa

FINANCIAL
Currently we are experiencing clearance delays on donations to the End Time Issue Ministries bank account, to aid our cash flow please make donations to my business account which has immediate clearance:

Account Name : James A Robertson and Associates
Account Number: 221 034 641
Bank : Standard Bank of South Africa
Branch : Randburg
Branch Code: 01-80-05-90
International Swift Interbank code SBZAZAJJ

Please include "ETI" in the transaction reference where possible and email deposit info to ensure that the funds are received.

Many thanks and blessings to those who have contributed to this work.

International (credit card) : www.paypal.com Account - [email-masked] (amounts < US$100)

WHAT DOES IT MEAN 
WHEN YOU SAY HALLELUYAH!?

HalleluYAH is a word that is used extensively in our world today, but what does it mean? The answer may be surprising, but it is a key to understanding the true name of the Creator.

I was listening to a radio talk show recently. The commentator was frustrated because he was trying to make a point with one of his listeners. The more he tried to explain, the worse the situation became. Finally the point was driven home and, when the commentator realized that his point was successfully explained he amazingly exclaimed, "HalleluYAH!"

I have also heard it from the mouths of others recently when they wanted to shout an exclamation of joy or triumph they will say, "HalleluYAH!"

One of the most inspiring pieces of music ever recorded is the HalleluYAH Chorus in Handel's Messiah series. But what does "HalleluYAH" mean? When people say it do they know what they have said, or are they only mimicking others? Especially, in a world that seems to be getting farther and farther away from any kind of Biblical knowledge.  When someone says "HalleluYAH" they are repeating something that comes straight out of the Bible. That's right! Its Biblical talk.

UNDERSTANDING THE WORD

Believe it or not, HalleluYAH is a word taken straight out of the Hebrew language which is the original language of the Old Testament. HalleluYAH is recorded quite a number of times in the book of Psalms. The English version of the Companion Bible reads thusly; "Praise ye THE LORD." (Psa. 111:1), but the original Hebrew is HalleluYAH."

Now do you begin to get an inkling as to what the word means? When one says "HalleluYAH" he is actually praising the Creator Whose name is "YAH." Look at Psa. 68:4, "Sing unto Elohim, sing praises to His name: Extol Him That rideth upon the heavens by His name JAH (should be; YAH), and rejoice before Him." This Psalm is actually saying that we should PRAISE YAH (Hebrew = Hallelu YAH). Psa. 68:4 reveals that Hallelu YAH is a word of rejoicing. That is why people make the exclamation "Hallelu YAH" when they are overjoyed!

Hallelu YAH can be broken down thusly; Hallel = praise, u = ye, YAH = the name of the Creator.

THE NAME

Hallelu YAH is a word that gives us a key to knowing and understanding what the name of our Heavenly Father is.

Let's go back to Psa. 111:1 and look at the Companion Bible version which reads, "Praise ye THE LORD. I will praise the LORD with my whole heart, in the assembly of the upright, and in the congregation."

Look at the contrast between the words "THE LORD" in the first sentence and "the LORD" in the second sentence. Why is that? Isn't it all the same? Why shouldn't they both appear in the same manner? The simple reason is that the second rendering of "the LORD" would give us a little added information if we were to look it up in the Hebrew, for Hallelu YAH in the first sentence gives us the contractional form of the Creator's name while "the LORD" in the second sentence gives the full form which is "YAHWEH." YAH in Hebrew is "hy" while the full name is "hwhy" (Hebrew reads from right to left while our English version is from left to right, i.e. YHWH.).

YAH is the shortened form of YAHWEH. It is the same idea that we get when we shorten our own names such as; Sue = Susan, Dot = Dorothy, Tim = Timothy, Don = Donald, Ron = Ronald, Bill or Will = William, Mike = Michael, etc. Anytime a person is addressed with the shortened version of their actual name, they have no problem understanding that they are the one being spoken to. It is the same with YAHWEH. One can refer to, or call on Him as YAH or YAHWEH.

NAME FORGOTTEN

Someone might say, "Yeah, that is all well and good, but we are English and these names "YAH and YAHWEH" are Hebrew. What is wrong with simply saying "the LORD" or "GOD" etc. as is recorded in the Bible? After all, He knows what we mean." While it is true that He knows what we mean, look at what the apostle Paul told the men (Greeks) on Mars' hill, "And the times of this ignorance YAHWEH winked at; but now commandeth all men every where to repent," Acts 17:30.

If we were ignorant of the Creator's name then YAHWEH winked at that ignorance, but now that we know His name, if we continue to obstinately refuse to glorify Him by continuing to call upon Him in other names and appellatives that are not pleasing to Him, then we will have to answer for it in the judgment, "Because He hath appointed a day, in the which He will judge the world in righteousness by that Man Whom He hath ordained; whereof He hath given assurance unto all men, in that He hath raised Him from the dead," v. 31.

How have people forgotten YAHWEH'S name? "I have heard what the prophets said, that prophesy lies in my name, saying, I have dreamed, I have dreamed. How long shall this be in the heart of the prophets that prophesy lies? Yea, they are prophets of the deceit of their own heart; Which think to cause my people to forget my name by their dreams which they tell every man to his neighbour, as their fathers have forgotten my name for Baal," Jer. 23:25-27.

Did you get that!? Did you know the true name of the Creator? If not then you were ignorant of His name weren't you? Why were you ignorant of His name? Weren't you using other words and appellatives for His name? Could it be that this prophecy has come true for you and everyone who does not know the Creator's name?

NEW TESTAMENT PROOF

Is there a place in the New Testament that would prove to us that it is important to praise YAH (Hallelu YAH) using the original inspired name? "And after these things I heard a great voice of much people in heaven, saying, Alleluia; Salvation, and glory, and honour, and power, unto YAHWEH our Elohim: For true and righteous are his judgments: for he hath judged the great whore, which did corrupt the earth with her fornication, and hath avenged the blood of his servants at her hand. And again they said, Alleluia. And her smoke rose up for ever and ever. And the four and twenty elders and the four beasts fell down and worshipped Elohim that sat on the throne, saying, Amen; Alleluia. And a voice came out of the throne, saying, Praise our Elohim, all ye his servants, and ye that fear him, both small and great. And I heard as it were the voice of a great multitude, and as the voice of many waters, and as the voice of mighty thunderings, saying, Alleluia: for Adonai YAHWEH omnipotent reigneth. Let us be glad and rejoice, and give honour to him: for the marriage of the Lamb is come, and his wife hath made herself ready," Rev. 19:1-7.

Notice it! The word "Alleluia" is simply the English rendering from the Greek, which in turn, is the Greek rendering for the Hebrew "Hallelu YAH" (Praise ye YAH). It is stated FOUR times!

When do the people say "Hallelu YAH?" After the judgment of the great whore that has corrupted the earth with her idolatrous fornications.

REPENT

One might say, "Well, everything comes out O.K. in the end, so why worry? It looks like everyone will eventually know His name." This is true, but there is a specific warning for those who are involved in idolatrous worship with the great whore, "And after these things I saw another angel come down from heaven, having great power; and the earth was lightened with his glory. And he cried mightily with a strong voice, saying, Babylon the great is fallen, is fallen, and is become the habitation of devils, and the hold of every foul spirit, and a cage of every unclean and hateful bird. For all nations have drunk of the wine of the wrath of her fornication, and the kings of the earth have committed fornication with her, and the merchants of the earth are waxed rich through the abundance of her delicacies. And I heard another voice from heaven, saying, Come out of her, my people, that ye be not partakers of her sins, and that ye receive not of her plagues," Rev. 18:1-4.

We are commanded from heaven itself to come out of the evil, corrupt, polluted system that is called Babylon the great. In other words we are commanded to REPENT!

After receiving the Holy Spirit on the day of Pentecost, the apostle Peter was asked what one should do. He cried out to those of his day (which also included our day), "Then Peter said unto them, Repent, and be baptized every one of you in the name of YAHshua Messiah for the remission of sins, and ye shall receive the gift of the Holy Spirit. For the promise is unto you, and to your children, and to all that are afar off, even as many as YAHWEH our Elohim shall call. And with many other words did he testify and exhort, saying, Save yourselves from this untoward generation," Acts 2:38-40.

THE SEAL

The apostle Paul reveals that the Holy Spirit is a seal, "In Whom (YAHshua Messiah) ye also trusted, after that ye heard the word of truth, the evangel of your salvation: in Whom also after that ye believed, ye were sealed with that holy Spirit of promise, Which is the earnest of our inheritance until the redemption of the purchased possession, unto the praise of his glory," Eph. 1:13-14.

The Holy Spirit seals one with YAHWEH'S Holy name, "And I saw another angel ascending from the east, having the seal of the living Elohim...And I heard the number of them which were sealed: and there were sealed an hundred and forty and four thousand of all the tribes of the children of Israel" Rev. 7:2, 4. "And I looked, and lo, a Lamb stood on the mount Sion, and with Him an hundred forty and four thousand, having His Father's name written in their foreheads," Rev. 14:1. Strictly speaking, Scripture forbids speaking names of other elohim (Ex. 23:13).

Yes repent and be baptized today that you may be sealed with the Holy Spirit of promise and receive the name YAHWEH which is the name to be named above all names. Hallelu YAH!!!

J.H.